<template>
    <form class="form">
        <slot></slot>
        <div class="form__actions">
            <slot name="actions"></slot>
        </div>
    </form>
</template>

<style>
.form {
    display: block;
}

.form .field + .field {
    margin-top: 1rem;
}

.form .button + .button {
    margin-left: 1rem;
}

.form__actions {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top:  2rem;
}
</style>